Bug 242115 - Monodevelop - MonoQuery.Addin cannot load - app fails
Monodevelop - MonoQuery.Addin cannot load - app fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mono (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-01 15:23 EDT by Dan Naughton
Modified: 2008-06-16 21:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of dialog box (82.50 KB, image/png)
2007-06-01 15:23 EDT, Dan Naughton
no flags Details

  None (edit)
Description Dan Naughton 2007-06-01 15:23:00 EDT
Description of problem:
When running monodevelop on a fresh install of F7, I get Error: The classes in
the module cannot be loaded.

Version-Release number of selected component (if applicable):
FC7
# rpm -q monodevelop
monodevelop-0.13.1-1.fc7

How reproducible:
files every time

Steps to Reproduce:
1. install f7
2. yum install monodevelop
3. run monodevelop
  
Actual results:
application gives error - then quits

Expected results:
monodevelop starts

Additional info:
Comment 1 Dan Naughton 2007-06-01 15:23:00 EDT
Created attachment 155920 [details]
screen shot of dialog box
Comment 2 Doncho N. Gunchev 2007-08-22 05:41:25 EDT
Just for the record, there's monodevelop 0.15 and I easily ported the patches 
from 0.14 and rebuilt it for FC7. All works fine (I can browse mysql databases 
at least).
Comment 3 Paul F. Johnson 2007-11-14 10:19:44 EST
Please have a look at the current rawhide version (0.17b2). If everything is
happy, I'll look at bringing it into FC8.
Comment 4 Doncho N. Gunchev 2007-11-17 17:34:58 EST
It works well... just bug # 243521 forces me to recompile it.
Comment 5 Paul F. Johnson 2007-11-21 07:34:53 EST
Thanks - I'll push a rebuild for this tonight and close the bug when it's done
Comment 6 J. Johnson 2008-01-10 07:53:34 EST
As a workaround, adding the mono-data-sqlite package resolves the 
MonoQuery.AddIn error.
Comment 7 Bug Zapper 2008-05-14 08:43:14 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2008-06-16 21:21:14 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.